package com.god.data.common.domain;

import lombok.Builder;
import lombok.Data;

/**
 * 电子围栏对象
 * @Author fst
 * @date 2023/11/28 21:47
 */
@Data
@Builder
public class ElePoint {

    /**
     * 电子围栏id
     */
    private Long id;

    /**
     * 电子围栏名称
     */
    private String fenceName;

    /**
     * 点赞围栏坐标字符串 格式：经度，维度;经度，维度
     */
    private String fenceLocation;

    /**
     * 点赞围栏状态 0 未激活 1 已激活
     */
    private Integer fenceStatus;

    /**
     * 电子围栏判断状态 1驶入 2驶出
     */
    private Integer driveStatus;

    /**
     * 车辆vin
     */
    private Long carVinId;
}
