package com.god.data.common.domain;

import lombok.*;

/**
 * 电子围栏算法对象
 */
@Data
@ToString
@Builder
@NoArgsConstructor
public class Point {
    /**
     * 经度（-180~180，东经正数，西经负数）
     */
    private double lng;
    /**
     * 维度（-90~90，北纬正数，南纬负数）
     */
    private double lat;

    public Point(double lng, double lat) {
        this.lng = lng;
        this.lat = lat;
    }
}
