//package com.god.data.test;
//
//import org.apache.kafka.clients.consumer.ConsumerRecord;
//import org.apache.kafka.clients.consumer.ConsumerRecords;
//import org.apache.kafka.clients.consumer.KafkaConsumer;
//import org.apache.kafka.clients.producer.KafkaProducer;
//import org.apache.kafka.clients.producer.ProducerRecord;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import java.time.Duration;
//import java.util.Collections;
//import java.util.Map;
//import java.util.Properties;
//
///**
// * @description: kafka消费测试一
// * @Author fst
// * @date 2023/11/21 18:42
// */
//@Component
//public class KafkaMessageTest {
//
//    @Autowired
//    KafkaProviderConfig kafkaProviderConfig;
//
//    @Autowired
//    KafkaConsumerConfig kafkaConsumerConfig;
//
//
//    /**
//     * @description: Kafka生产者
//     */
//    public void providerMessage(){
//        //通过配置工具类获取配置map
//        Map<String, Object> stringObjectMap = kafkaProviderConfig.producerConfigs();
//        Properties properties = new Properties();
//        properties.putAll(stringObjectMap);
//        //通过map来生成kafka生产者对象
//        KafkaProducer<String, String> stringStringKafkaProducer = new KafkaProducer<String, String>(properties);
//        //发送消息 封装发送消息对象
//        ProducerRecord<String, String> stringStringProducerRecord = new ProducerRecord<>("test001",  "hello_kafka");
//        stringStringKafkaProducer.send(stringStringProducerRecord);
//        //关闭通道
//        stringStringKafkaProducer.close();
//    }
//
//    /**
//     * @description:  独立消费者-订阅主题
//     */
//    public void consumerMessage(){
//        Map<String, Object> stringObjectMap = kafkaConsumerConfig.consumerConfigs();
//        Properties properties = new Properties();
//        properties.putAll(stringObjectMap);
//        //构建kafka消费者对象
//        KafkaConsumer<String, String> kafkaConsumer = new KafkaConsumer<String, String>(properties);
//        //订阅主题
//        kafkaConsumer.subscribe(Collections.singleton("test001"));
//        //循环获取消息
//
//            ConsumerRecords<String, String> poll = kafkaConsumer.poll(Duration.ofMillis(1000));
//            for (ConsumerRecord<String, String> consumerRecord : poll) {
//                System.out.println("====================");
//                System.out.println(consumerRecord.key());
//                System.out.println(consumerRecord.value());
//            }
//
//    }
//}
