package com.god.data.service;

import com.god.data.common.domain.CarMessage;

/**
 * @description: 事件
 * @Author fst
 * @date 2023/11/27 20:40
 */
public interface EventService {

    /**
     * 添加事件
     */
    public void insert();

    /**
     * 执行事件
     */
    public void execute(CarMessage carMessage);

    /**
     * 删除事件
     * @param event
     */
    public void remove(String event);
}
